complexType "MoneyBase"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 1 element
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | currency?
</...>

Content Model Elements (1):

  currency (defined in MoneyBase complexType)

Known Direct Subtypes (3):

  Money, NonNegativeMoney, PositiveMoney

Known Indirect Subtypes (5):

  CalculationAmount, CommoditySpread, FutureValueAmount, FxOptionPayout, NotionalAmount

All Direct / Indirect Based Elements (99):

  accruedInterest (defined in PendingPayment complexType),
  allocatedNotional,
  amount (defined in PendingPayment complexType),
  basketAmount,
  brokerageFee,
  calculationAmount (defined in ProtectionTerms complexType),
  calculationAmount (in fixedAmountCalculation),
  callCurrencyAmount,
  cashflowAmount,
  cashSettlementAmount,
  changeInNotionalAmount (defined in TradeLegNotionalChange.model group),
  changeInNotionalAmount (defined in TradeNotionalChange.model group),
  contractRate,
  contractRateStep,
  creditChargeAmount,
  currentNotional,
  defaultRequirement,
  disputedAmount,
  dividend,
  exerciseInNotionalAmount,
  exposureAmount,
  factoredCalculationAmount,
  fixedAmount (in periodicPayment),
  fixedAmount (in singlePayment),
  flatRateAmount,
  forecastAmount,
  forecastPaymentAmount,
  forwardPrice,
  futureValueNotional,
  interest (defined in InterestAccrued complexType),
  interest (in termDeposit),
  marginCallAmount,
  maximumNotionalAmount (in multipleExercise in americanExercise in fxOption),
  maximumPaymentAmount,
  maximumTransactionPaymentAmount,
  minimumExecutionAmount,
  minimumNotionalAmount (in multipleExercise in americanExercise in fxOption),
  minimumQuotationAmount,
  nominal,
  notional (defined in EquityDerivativeBase complexType),
  notional (in fra),
  notionalAmount (defined in FxCashSettlement complexType),
  notionalAmount (defined in OptionBaseExtended complexType),
  notionalAmount (defined in ReturnSwapNotional complexType),
  notionalAmount (in correlation),
  notionalAmount (in fxFlexibleForward),
  novatedAmount,
  outstandingNotionalAmount (defined in TradeLegNotionalChange.model group),
  outstandingNotionalAmount (defined in TradeNotionalChange.model group),
  outstandingNotionalAmount (in optionExercise),
  partialExerciseAmount,
  paymentAmount (defined in EquityPremium complexType),
  paymentAmount (defined in HeldCollateral complexType),
  paymentAmount (defined in IndependentAmountType complexType),
  paymentAmount (defined in NonNegativePayment complexType),
  paymentAmount (defined in Payment complexType),
  paymentAmount (defined in PaymentDetails.model group),
  paymentAmount (defined in PositivePayment complexType),
  paymentAmount (defined in SimplePayment complexType),
  paymentAmount (in additionalPaymentAmount),
  paymentAmount (in adjustedPaymentDates),
  paymentAmount (in fixedPayment),
  paymentAmount (in initialPayment),
  paymentAmount (in paymentDetail),
  paymentAmount (in pendingCollateral),
  paymentRequirement,
  payout,
  premiumPerUnit,
  prePaymentAmount,
  presentValueAmount (defined in Payment complexType),
  presentValueAmount (in paymentCalculationPeriod),
  presentValueAmount (in premium defined in OptionBaseExtended complexType),
  presentValuePrincipalExchangeAmount,
  pricePerOption (defined in EquityPremium complexType),
  pricePerOption (in premium defined in OptionBaseExtended complexType),
  principal (in termDeposit),
  principalAmount (in principalExchangeAmount in principalExchangeDescriptions),
  putCurrencyAmount,
  quotationAmount,
  remainingAmount,
  segregatedIndependentAmount (defined in AgreedAmount complexType),
  segregatedIndependentAmount (defined in AgreedAmount complexType),
  settlementAmount (defined in EquityOptionTermination complexType),
  settlementAmount (defined in SettlementAmountOrCurrency.model group),
  splitSettlementAmount,
  spread (defined in FloatingLegCalculation complexType),
  spreadStep,
  strikePricePerUnit,
  strikePricePerUnitStep,
  stubAmount,
  totalPrice (in fixedLeg in commodityForward),
  totalPrice (in fixedLeg),
  underlyerNotional,
  value (in collateralValueAllocation),
  varianceAmount,
  variationMargin (defined in AgreedAmount complexType),
  weatherNotionalAmount (in commodityOption),
  weatherNotionalAmount (in weatherLeg),
  withholdingTax

Known Usage Locations

- In derivations of other global types (3):

  Money (as extension base), NonNegativeMoney (as extension base), | PositiveMoney (as extension base)

Annotation
Abstract base class for all money types.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType abstract="true" name="MoneyBase"> <xsd:sequence> <xsd:element minOccurs="0" name="currency" type="Currency"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/1)
currency

  Type: | Currency, simple content

  The currency in which an amount is denominated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.